<template>
  <div>
    <div class="fixed top-0 left-0 w-full p-4 flex items-center justify-between bg-blue gap-4 z-20">
      <p
        class="error-popup__text text-sm leading-5 font-medium text-txtdprim flex-1"
        v-html="$t('error') + ': ' + $t(`error-popup.${text}`)"
      ></p>
      <img
        width="24"
        height="24"
        src="@/assets/images/error-popup/cross.svg"
        class="cursor-pointer"
        @click="closeErrorPopup"
      />
    </div>
  </div>
</template>

<script>
export default {
  name: 'ErrorPopup',

  data() {
    return {
      timeout: '',
    };
  },

  computed: {
    errorPopupDisplay() {
      return this.$store.state.system.errorPopupDisplay;
    },

    text() {
      return this.$store.state.system.errorPopupText;
    },
  },

  watch: {
    errorPopupDisplay(value) {
      if (value) {
        if (this.timeout) clearTimeout(this.timeout);
        this.timeout = setTimeout(this.closeErrorPopup, 10000);
      }
    },
  },

  methods: {
    closeErrorPopup() {
      clearTimeout(this.timeout);
      this.$store.commit('setErrorPopupDisplay', { display: false });
    },
  },
};
</script>

<style lang="scss">
.error-popup {
  &__text {
  }
}
</style>
